Skip to content

OAuth authorization endpoint

GET
/oauth/authorize
curl --request GET \
--url 'https://api.deploybase.eu/api/v1/oauth/authorize?client_id=example&redirect_uri=example&response_type=example&code_challenge=example&code_challenge_method=example&resource=example'

Validates an authorization request (OAuth 2.1, PKCE S256, RFC 8707 resource) and redirects the browser to the consent page. An unknown client or unregistered redirect_uri is answered with an error page and never redirected; other errors are redirected to the client with error, state and iss.

client_id
required
string

Client ID Metadata Document URL or pre-registered id

redirect_uri
required
string

Registered redirect URI

response_type
required
string

Must be code

code_challenge
required
string

PKCE S256 challenge

code_challenge_method
required
string

Must be S256

resource
required
string

The MCP server resource URL

scope
string

Deploybase (default)

state
string

Opaque client state

Redirect to the consent page or back to the client

Media type text/html

Error page: client or redirect_uri not trusted

Media type text/html

Live a8b7eb1d built